---
title: ipv6_header

---

# ipv6_header





## Public Functions

|                | Name           |
| -------------- | -------------- |
| [llarp::nuint32_t](Classes/structllarp_1_1nuint__t.md) | **[FlowLabel](Classes/structipv6__header.md#function-flowlabel)**() const<br>get 20 bit truncated flow label in network order  |
| void | **[FlowLabel](Classes/structipv6__header.md#function-flowlabel)**([llarp::nuint32_t](Classes/structllarp_1_1nuint__t.md) flowlabel)<br>put 20 bit truncated flow label network order  |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [ipv6_header_preamble](Classes/structipv6__header__preamble.md) | **[preamble](Classes/structipv6__header.md#variable-preamble)**  |
| uint32_t | **[flowlabel](Classes/structipv6__header.md#variable-flowlabel)**  |
| union ipv6_header::@0 | **[preamble](Classes/structipv6__header.md#variable-preamble)**  |
| uint16_t | **[payload_len](Classes/structipv6__header.md#variable-payload-len)**  |
| uint8_t | **[proto](Classes/structipv6__header.md#variable-proto)**  |
| uint8_t | **[hoplimit](Classes/structipv6__header.md#variable-hoplimit)**  |
| in6_addr | **[srcaddr](Classes/structipv6__header.md#variable-srcaddr)**  |
| in6_addr | **[dstaddr](Classes/structipv6__header.md#variable-dstaddr)**  |

## Public Functions Documentation

### function FlowLabel

```cpp
llarp::nuint32_t FlowLabel() const
```

get 20 bit truncated flow label in network order 

### function FlowLabel

```cpp
void FlowLabel(
    llarp::nuint32_t flowlabel
)
```

put 20 bit truncated flow label network order 

## Public Attributes Documentation

### variable preamble

```cpp
ipv6_header_preamble preamble;
```


### variable flowlabel

```cpp
uint32_t flowlabel;
```


### variable preamble

```cpp
union ipv6_header::@0 preamble;
```


### variable payload_len

```cpp
uint16_t payload_len;
```


### variable proto

```cpp
uint8_t proto;
```


### variable hoplimit

```cpp
uint8_t hoplimit;
```


### variable srcaddr

```cpp
in6_addr srcaddr;
```


### variable dstaddr

```cpp
in6_addr dstaddr;
```


-------------------------------

Updated on 2022-04-28 at 19:53:17 +0000